Package: org.codehaus.groovy.grails.web.metaclass

## [Groovy] Class ForwardMethod

- org.codehaus.groovy.grails.web.metaclass.ForwardMethod

- Implements performing a forward.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CALLED` |
    `static java.lang.String` | `IN_PROGRESS` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)`
    `void` | `setUrlConverter(UrlConverter urlConverter)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CALLED

    - #### public static final java.lang.String IN_PROGRESS

  - ### Method Detail

    - #### java.lang.String forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)

    - #### void setUrlConverter(UrlConverter urlConverter)